Name:     primer3
Summary:  Primer3 picks primers for PCR reactions
Vendor: BioRPMS http://apt.bea.ki.se/
Group: Applications/Scientific
Packager: gotero
Version: 1.0.0
Release: 1
License:  Copyright Whitehead Institute for Biomedical Research
URL:      http://fokker.wi.mit.edu/primer3/
Source:   primer3_%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
Primer3 is a complete rewrite of the original PRIMER program
(Primer 0.5), written by Steve Lincoln, Mark Daly, and Eric
Lander.

Primer3 picks primers for PCR reactions, considering as criteria:
- oligonucleotide melting temperature, size, GC content,
  and primer-dimer possibilities
- PCR product size
- positional constraints within the source sequence
- miscellaneous other constraints
All of these criteria are user-specifiable as constraints, and
some are specifiable as terms in an objective function that
characterizes an optimal primer pair.

Reference for Primer3:

We also request that use of this software be cited in publications as 

   Rozen, S., Skaletsky, H.  "Primer3 on the WWW for general 
   users and for biologist programmers."  In S. Krawetz and
   S. Misener, eds. Bioinformatics Methods and Protocols in
   the series Methods in Molecular Biology.  Humana Press, 
   Totowa, NJ, 2000, pages 365-386. Code available at
   http://fokker.wi.mit.edu/primer3/
   
%prep
%setup -q -n primer3_%{version}
perl -pi -e 's[/usr/local/bin][/usr/bin]g' test/dpal_gen.pl
perl -pi -e 's[/usr/local/bin][/usr/bin]g' test/long_seq_tm_test.pl
perl -pi -e 's[/usr/bin/perl5][%{__perl}]g' test/dpal_gen.pl
perl -pi -e 's[/usr/bin/perl5][%{__perl}]g' test/long_seq_tm_test.pl
perl -pi -e 's[/usr/bin/perl][%{__perl}]g' test/dpal_gen.pl
perl -pi -e 's[/usr/bin/perl][%{__perl}]g' test/long_seq_tm_test.pl

%build
export CC=%{__cc}
export CFLAGS="$RPM_OPT_FLAGS"
export LDLIBS="-lm"
cd src
make primer3_core
make ntdpal
# cd ../test
# perl -w primer_test.pl
# perl -w dpal_test.pl

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/bin
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/data
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/doc
install -m 755 src/primer3_core $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/bin
install -m 755 src/ntdpal $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/bin
cp -r test $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/data
cp -pr Copyright README example $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/doc
cp src/release_notes $RPM_BUILD_ROOT/opt/BioBrew/%{name}-%{version}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/BioBrew

%changelog
* Wed Oct 5 2005 gotero <gotero@linuxprophet.com>
- Edited for BioBrew
* Wed Nov 24 2004 Bent Terp <Bent.Terp@bea.ki.se>
- Upped to 1.0.0
* Wed Feb 18 2004 Bent Terp <Bent.Terp@bea.ki.se>
- Moved to /usr/bin
* Thu Jul 03 2003 Luc Ducazu <luc@biolinux.org>
- Initial build
